Subject: RE: PPP

From: TOMSON ERIC <[email-masked]>
Date: Wed, 6 Mar 2002 15:20:01 +0100

WARNING : this answer will be very basic. My intention is not to go deep into the details but to give a short answer.

Suppose you have an Operating System supporting TCP/IP, whatever applications you run.
Suppose you have a modem and you use PPP to talk to a remote server.

Then data coming from an application on your system will be transported by either TCP segments or UDP segments and use port numbers.
Then those segments will be encapsulated into IP datagrams/packets and use IP addresses.
Then those datagrams/packets will be encapsulated into PPP frames with no particular addresses (HDLC broadcast address will be used, always set to FF Hex - this is normal, since this is a point-to-point connection, so only 2 DCEs are communicating and there's no particular need for individual physical addressing, like in a multi-point shared Ethernet network).
Then all those bits (frames actually represent organized groups of bits) will be converted into a particular signal (signal = electricity, light, micro-waves,...) using a particular encoding scheme (encoding scheme = AMI, Manchester, NRZI,...) able to be transported on a specific medium (medium = copper cable, fiber optics, air,...).
That's it.

I know, I know : this is a VERY basic answer. Some people will not forgive me for this, but when asked a basic question I can't do anything but give a basic answer.
And BTW, when facing a very complex question, I don't even think of answering it. I gladly leave it up to a more competent guy to answer it. Then I sit down and listen, too.

;)

-----Original Message-----
From: Christopher Evans [mailto:[email-masked]]

Here is a question that will tax your synapes to bursting point!

How is PPP and TCP/IP libs "wired" together?  Like, DO I (OSI 8) call TCP
and it calls IP and down the 
chain till it spills over and gets real physical (OSI 1)? I am confused.

At 10:02 AM 3/5/02 -0500, you wrote:
>whoa, it's in the TCP/IP suite, it's not. So let me get this straight. TCP
>and UDP are part of IP. TCP provides error sum UDP doesn't and is therefore
>faster than TCP. They are encapsulated in IP, which is put into the data
>bitstream of a PPP frame. Layer 1 is the physical layer, are bitstreams sent
>at that level. BTW I have 56K dial-up no ISDN or DSL.